Skip to main content

Abort ticket

POST{{server}}/api/v1/counter/abortTicket

This endpoint aborts the ticket flow. It can be useful, if the ticket has multiple services but the clerk should abort the transaction flow and skip the further services.

Request

  • ticket (string, required): Ticket key

  • wasRealTransaction (boolean): Is it was a real transaction?

  • abortCode (string): Abort code key. To get abort keys, use the Get codes endpoint.

There is no response, if it was successful.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Body (json)​

{
"ticket": "{{ticketKey}}",
"wasRealTransaction": true,
"abortCode": null
}

Code snippets​

curl -X POST '{{server}}/api/v1/counter/abortTicket' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}' \
-H 'Content-Type: application/json' \
-d '{
"ticket": "{{ticketKey}}",
"wasRealTransaction": true,
"abortCode": null
}'

Example​

Example request
POST{{server}}/api/v1/counter/abortTicket
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Body
{
"ticket": "{{ticketKey}}",
"wasRealTransaction": true,
"abortCode": null
}
Example response 204 No Content
No response body